Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.logging.impl
Class NoOpLog

    java.lang.Object
      org.apache.commons.logging.impl.NoOpLog

All Implemented Interfaces:
  Log, java.io.Serializable

public class NoOpLog
extends java.lang.Object
implements Log, java.io.Serializable

Trivial implementation of Log that throws away all messages. No configurable system properties are supported.

Version:
  $Id: NoOpLog.java 424107 2006-07-20 23:15:42Z skitching $
Author:
  Scott Sanders, Rod Waldhoff
See Also:
  Serialized Form

Constructor Summary
`NoOpLog()` Convenience constructor
`NoOpLog(java.lang.String name)` Base constructor

Method Summary
`void` | `debug(java.lang.Object message)` Do nothing
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` Do nothing
`void` | `error(java.lang.Object message)` Do nothing
`void` | `error(java.lang.Object message, java.lang.Throwable t)` Do nothing
`void` | `fatal(java.lang.Object message)` Do nothing
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` Do nothing
`void` | `info(java.lang.Object message)` Do nothing
`void` | `info(java.lang.Object message, java.lang.Throwable t)` Do nothing
`boolean` | `isDebugEnabled()` Debug is never enabled.
`boolean` | `isErrorEnabled()` Error is never enabled.
`boolean` | `isFatalEnabled()` Fatal is never enabled.
`boolean` | `isInfoEnabled()` Info is never enabled.
`boolean` | `isTraceEnabled()` Trace is never enabled.
`boolean` | `isWarnEnabled()` Warn is never enabled.
`void` | `trace(java.lang.Object message)` Do nothing
`void` | `trace(java.lang.Object message, java.lang.Throwable t)` Do nothing
`void` | `warn(java.lang.Object message)` Do nothing
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` Do nothing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpLog

    public NoOpLog()

  Convenience constructor

### NoOpLog

    public NoOpLog(java.lang.String name)

  Base constructor

Method Detail

### trace

    public void trace(java.lang.Object message)

  Do nothing

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - log this message

### trace

    public void trace(java.lang.Object message,
                      java.lang.Throwable t)

  Do nothing

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### debug

    public void debug(java.lang.Object message)

  Do nothing

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - log this message

### debug

    public void debug(java.lang.Object message,
                      java.lang.Throwable t)

  Do nothing

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### info

    public void info(java.lang.Object message)

  Do nothing

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - log this message

### info

    public void info(java.lang.Object message,
                     java.lang.Throwable t)

  Do nothing

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### warn

    public void warn(java.lang.Object message)

  Do nothing

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - log this message

### warn

    public void warn(java.lang.Object message,
                     java.lang.Throwable t)

  Do nothing

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### error

    public void error(java.lang.Object message)

  Do nothing

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - log this message

### error

    public void error(java.lang.Object message,
                      java.lang.Throwable t)

  Do nothing

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### fatal

    public void fatal(java.lang.Object message)

  Do nothing

  Specified by:
    `fatal` in interface `Log`
  Parameters:
    `message` - log this message

### fatal

    public void fatal(java.lang.Object message,
                      java.lang.Throwable t)

  Do nothing

  Specified by:
    `fatal` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### isDebugEnabled

    public final boolean isDebugEnabled()

  Debug is never enabled.

  Specified by:
    `isDebugEnabled` in interface `Log`
  Returns:
    false

### isErrorEnabled

    public final boolean isErrorEnabled()

  Error is never enabled.

  Specified by:
    `isErrorEnabled` in interface `Log`
  Returns:
    false

### isFatalEnabled

    public final boolean isFatalEnabled()

  Fatal is never enabled.

  Specified by:
    `isFatalEnabled` in interface `Log`
  Returns:
    false

### isInfoEnabled

    public final boolean isInfoEnabled()

  Info is never enabled.

  Specified by:
    `isInfoEnabled` in interface `Log`
  Returns:
    false

### isTraceEnabled

    public final boolean isTraceEnabled()

  Trace is never enabled.

  Specified by:
    `isTraceEnabled` in interface `Log`
  Returns:
    false

### isWarnEnabled

    public final boolean isWarnEnabled()

  Warn is never enabled.

  Specified by:
    `isWarnEnabled` in interface `Log`
  Returns:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 The Apache Software Foundation. All Rights Reserved.